Bug 130412 - RFE: Option to edit default config, rather than IP/subnet specific config
RFE: Option to edit default config, rather than IP/subnet specific config
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Olive Leite
: FutureFeature, Reopened
Depends On:
  Show dependency treegraph
Reported: 2004-08-20 02:53 EDT by Mike MacCana
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-08-20 02:53:02 EDT
Description of problem:
When adding a new bunch of options, it would be useful to have the
words 'Options apply to...' followed by a choice of 'specific IP or
subnet' or 'all other hosts'. The latter would edit the
pxelinux.cfg/default file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Want to set up network booting, and don't need different options for
different subnets
2.Use system-config-netboot
Actual results:
Wish you could edit the default option rather than having to specify a

Expected results:
Just choose the 'all other hosts' option. In fact, that should
probably be made default (people who want different options for
different hosts or subnets will know they want to).

Additional info:
Comment 1 Suzanne Hillman 2004-09-10 16:27:13 EDT
Internal RFE bug #132311 entered; will be considered for future releases.
Comment 2 Jason Vas Dias 2005-06-01 20:46:40 EDT
Just clearing out some old bugs here - sorry for the delay .

s-c-nb can't work this way, because :
o The pxelinux.0 boot client looks for .cfg files named with each
  whole byte sequence of its IP address prefix . You can sort of 
  specify a default cfg file by just specifying one byte of the IP
  address,  but that one byte must be specified.

o The snapshot directory must be unique to each client, else we
  could have multiple clients updating the same writable files
  which are meant to be client specific. That's why each client
  creates its own snapshot dir if one is not specified.

Comment 3 Mike MacCana 2005-06-01 23:27:12 EDT
"The pxelinux.0 boot client looks for .cfg files named with each
  whole byte sequence of its IP address prefix ."

and then looks for a file called default.cfg.

Comment 4 Mike MacCana 2005-06-01 23:28:28 EDT
Pardon me, the file is called 'default', as mentioned in the original
bug report.

Comment 6 Red Hat Bugzilla 2007-02-05 14:20:58 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 7 RHEL Product and Program Management 2007-10-19 15:20:01 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.